漏洞信息详情

Pip 输入验证错误漏洞

  • CNNVD编号:CNNVD-202005-362
  • 危害等级: 高危
  • CVE编号: CVE-2018-20225
  • 漏洞类型: 输入验证错误
  • 发布时间: 2020-05-08
  • 威胁类型: 本地
  • 更新时间: 2020-06-22
  • 厂        商:
  • 漏洞来源:

漏洞简介

Pip是一套用于安装和管理Python软件包的工具。

Pip(所有版本)中的--extra-index-url选项存在输入验证错误漏洞。攻击者可借助特制请求利用该漏洞在系统上执行任意代码。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://pip.pypa.io/en/stable/news/

参考网址

来源:MLIST

链接:https://lists.apache.org/thread.html/rb1adce798445facd032870d644eb39c4baaf9c4a7dd5477d12bb6ab2@%3Cgithub.arrow.apache.org%3E

来源:MISC

链接:https://cowlicks.website/posts/arbitrary-code-execution-from-pips-extra-index-url.html

来源:MISC

链接:https://pip.pypa.io/en/stable/news/

来源:MISC

链接:https://bugzilla.redhat.com/show_bug.cgi?id=1835736

来源:www.ibm.com

链接:https://www.ibm.com/blogs/psirt/security-bulletin-ibm-watson-discovery-for-ibm-cloud-pak-for-data-affected-by-vulnerability-in-python/

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2018-20225

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多